import java.io.*;
import java.util.*;
import java.math.*;

public class D {
	public static final String problem = "D";
	
	public static void main(String[] args) {
		try {
			Scanner in = new Scanner(System.in);
			BigInteger n = new BigInteger(in.next());
			BigInteger a = new BigInteger(in.next());
			BigInteger b = new BigInteger(in.next());
			in.close();
			
			PrintWriter out = new PrintWriter(System.out);
			out.println(n.subtract(a).add(b));
			out.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
